// ResOnlyDLL.cpp : Defines the initialization routines for the DLL.
//

#include "stdafx.h"
#include <afxdllx.h>
#include "ResOnlyDLL.h"
#include "ResOnlyDLLaw.h"

#ifdef _PSEUDO_DEBUG
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

static AFX_EXTENSION_MODULE ResOnlyDLLDLL = { NULL, NULL };

extern "C" int APIENTRY
DllMain(HINSTANCE hInstance, DWORD dwReason, LPVOID lpReserved)
{
	if (dwReason == DLL_PROCESS_ATTACH)
	{
		TRACE0("RESONLYDLL.AWX Initializing!\n");
		
		// Extension DLL one-time initialization
		AfxInitExtensionModule(ResOnlyDLLDLL, hInstance);

		// Insert this DLL into the resource chain
		new CDynLinkLibrary(ResOnlyDLLDLL);

		// Register this custom AppWizard with MFCAPWZ.DLL
		SetCustomAppWizClass(&ResOnlyDLLaw);
	}
	else if (dwReason == DLL_PROCESS_DETACH)
	{
		TRACE0("RESONLYDLL.AWX Terminating!\n");

		// Terminate the library before destructors are called
		AfxTermExtensionModule(ResOnlyDLLDLL);
	}
	return 1;   // ok
}
